<!--
 * @Date: 2024-05-26 22:26:50
 * @LastEditors: Sneed
 * @LastEditTime: 2024-06-02 21:06:33
 * @FilePath: /belleson-frontend/Users/mache/Documents/demo/cps-web/src/views/dnc/setting/catalogue.vue
-->
<template>
    <el-container>
        <el-header>
            文件传输名称设定
            <el-switch v-model="paramValue" style="margin-left: auto;" @change="change" />
        </el-header>
        <el-main>
            <el-form :model="form" :rules="rules" label-width="auto">
                <el-form-item label="拼接方式">
                    <el-radio-group v-model="form.splicingMethod">
                        <el-radio :label="1">拼接在文件名称前</el-radio>
                        <el-radio :label="2">拼接在文件名称后</el-radio>
                    </el-radio-group>
                </el-form-item>
                <el-form-item label="拼接来源">
                    <el-radio-group v-model="form.sourceOfSplicing">
                        <el-radio :label="0">工艺包目录</el-radio>
                        <el-radio :label="1">工艺包属性</el-radio>
                    </el-radio-group>
                </el-form-item>
                <el-form-item label="拼接内容">
                    <el-select v-model="form.bagSplicingContent" placeholder="" style="width: 240px">
                        <el-option v-for="item in options.bagSplicingContent" :key="item.value" :label="item.label"
                            :value="item.value" />
                    </el-select>
                </el-form-item>
                <el-form-item label="拼接符号">
                    <el-select v-model="form.spliceSymbol" placeholder="" style="width: 240px">
                        <el-option v-for="item in options.spliceSymbol" :key="item.value" :label="item.label"
                            :value="item.value" />
                    </el-select>
                </el-form-item>
                <el-form-item>
                    <el-button type="primary" @click="save">保存</el-button>
                </el-form-item>
            </el-form>
        </el-main>
    </el-container>
</template>

<script>
export default {
    data() {
        return {
            paramValue: false,
            options: {
                spliceSymbol: [],
                bagSplicingContent: [
                    {
                        value: 1,
                        label: '工艺包名称'
                    },
                    {
                        value: 2,
                        label: '工艺包编号'
                    }
                ]
            },
            form: {},
            rules: {}
        }
    },
    created() {
        this.init()
    },
    methods: {
        async init() {
            this.$HTTP.get(`/api/blade-dnc/dnc-directory-settings/file-running-status`).then(res => {
                this.paramValue = res?.data?.paramValue === 'true'
            })
            await this.$HTTP.get(`/api/blade-system/dict/dictionary?code=dnc_splice_symbol`).then(res => {
                this.options.spliceSymbol = res.data.map(v => {
                    return {
                        value: v.dictKey,
                        label: v.dictValue
                    }
                })
            })
            this.$HTTP.get(`/api/blade-dnc/dnc-directory-settings/setting-detail`).then(res => {
                this.form = {
                    ...res.data
                }
            })
        },
        change() {
            this.$HTTP.post(`/api/blade-dnc/dnc-directory-settings/change`, {
                paramValue: this.paramValue ? 'true' : 'false'
            }).then(res => {
                this.$message.success("操作成功");
            })
        },
        save() {
            this.$HTTP.post(`/api/blade-dnc/dnc-directory-settings/update-setting`, this.form).then(res => {
                this.$message.success("操作成功");
            })
        }
    },
}
</script>

<style lang="scss" scoped></style>